@use '../variables/theme_colors';

.lm_goldenlayout {
  background: $theme-background-dark;
}

.lm_content {
  background: darken($theme-background-dark, 3);
}

.lm_splitter {
  background: $theme-primary-dark;
  opacity: 0;
  transition: opacity 200ms ease
}

.lm_splitter:hover,
.lm_splitter.lm_dragging {
  background: $theme-primary-dark;
  opacity: 1
}

.lm_header {
  height: 20px;
  user-select: none
}

.lm_header.lm_selectable {
  cursor: pointer
}

.lm_header .lm_tab {
  font-size: 12px;
  background: darken($theme-background-dark, 10);
}

.lm_header .lm_tab .lm_close_tab {
  width: 11px;
  height: 11px;
  background-position: center center;
  background-repeat: no-repeat;
  top: 4px;
  right: 6px;
}

.lm_tab:hover,
.lm_tab.lm_active {
  background: $theme-primary-light;
}

.lm_header .lm_controls .lm_tabdropdown:before {
  color: $theme-primary-text-dark;
}

.lm_controls>li {
  position: relative;
  background-position: center center;
  background-repeat: no-repeat;
  opacity: .4;
  transition: opacity 300ms ease
}

.lm_controls>li:hover {
  opacity: 1
}

.lm_controls .lm_popout {
  background-image: url(../../assets/popout_light.png);
}

.lm_controls .lm_maximise {
  background-image: url(../../assets/maximize_light.png);
}

.lm_controls .lm_close, .lm_close_tab {
  background-image: url(../../assets/close_light.png);
}

.lm_maximised .lm_header {
  background: $theme-background-dark;
}

.lm_maximised .lm_controls .lm_maximise {
  background-image: url(../../assets/minimize_light.png);
}

.lm_popin {
  cursor: pointer
}

.lm_popin .lm_bg {
  background: $theme-background-light;
}

.lm_popin .lm_icon {
  background-image: url(../../assets/popin_light.png);
  background-position: center center;
  background-repeat: no-repeat;
}

.lm_popin:hover .lm_icon {
  opacity: 1
}


.lm_dropTargetIndicator {
  transition: all 200ms ease;
  background: rgba($theme-primary-dark, .01);
}

.lm_dropTargetIndicator .lm_inner {
  background: #000000;
  opacity: .2
}